package com.tofly.latte_core.base;

import android.content.Context;

import java.util.List;
import java.util.Map;

import okhttp3.MultipartBody;
import okhttp3.RequestBody;

/**
 * 公共契约类,用户管理presenter 和 view
 */
public class LatteContract {

    public interface LatteView extends BaseView {

        <T> void getResultOne(T response);

        <T> void getResultTwo(T response);

        <T> void getResultThree(T response);

        <T> void getResultFour(T response);

        <T> void getResultFive(T response);

        <T> void getResultSix(T response);

        <T> void getResultSeven(T response);

        <T> void getResultEight(T response);

        <T> void getResultNine(T response);

        <T> void getResultTen(T response);

        <T> void getResultEleven(T response);

        <T> void getResultTwelve(T response);

        <T> void getResultThirteen(T response);

        <T> void getResultFourteen(T response);

        <T> void getResultFifteen(T response);
    }

    public interface LattePresenter extends IPresenter<LatteView> {

        void getResultOne(Context context, Map<String, Object> map);

        void getResultTwo(Context context, Map<String, Object> map);

        void getResultThree(Context context, Map<String, Object> map);

        void getResultFour(Context context, Map<String, Object> map);

        void getResultFive(Context context, Map<String, Object> map);

        void getResultSix(Context context, Map<String, RequestBody> files, Map<String, Object> map);

        void getResultSeven(Context context, Map<String, Object> map);

        void getResultEight(Context context, Map<String, Object> map);

        void getResultNine(Context context, Map<String, Object> map);

        void getResultTen(Context context, Map<String, Object> map);

        void getResultEleven(Context context, Map<String, Object> map);

        void getResultTwelve(Context context, Map<String, Object> map);

        void getResultThirteen(Context context, Map<String, Object> map);

        void getResultFourteen(Context context, Map<String, Object> map);

        void getResultFifteen(Context context, Map<String, RequestBody> files, Map<String, Object> map);

    }

}
